Product details by barcode: nutrition, scores, ingredients, allergens

Returns a product's name, brand, nutrition per 100 g, Nutri-Score, NOVA group, ingredients and allergens by its barcode (EAN/UPC).

Request

GEThttps://food-nutrition.p.apihiver.com/v1/product/3017620422003
*
String. Product barcode (EAN-13 / UPC), e.g. 3017620422003.
Language
Client
1curl --request GET \
2  --url https://food-nutrition.p.apihiver.com/v1/product/3017620422003 \
3  --header 'Accept: application/json' \
4  --header 'X-API-Key: YOUR_API_KEY'

Product details by barcode: nutrition, scores, ingredients, allergens: Food Nutrition API reference

Returns a product's name, brand, nutrition per 100 g, Nutri-Score, NOVA group, ingredients and allergens by its barcode (EAN/UPC). This endpoint is part of the Food Nutrition API: Nutrition facts, ingredients, Nutri-Score and allergens for millions of packaged foods — by barcode or name.

Example response (200, application/json)

Success.

1{
2  "name": "Nutella",
3  "brand": "Nutella, Ferrero",
4  "image": "https://images.openfoodfacts.org/images/products/301/762/042/2003/front_en.879.400.jpg",
5  "labels": [
6    "vegetarian",
7    "no gluten",
8    "triman"
9  ],
10  "barcode": "3017620422003",
11  "sold_in": [
12    "france"
13  ],
14  "quantity": "400 g e",
15  "allergens": [
16    "milk",
17    "nuts",
18    "soybeans"
19  ],
20  "categories": [
21    "Confectionary based spreads",
22    "Petit-déjeuners",
23    "Produits à tartiner"
24  ],
25  "nova_group": 4,
26  "attribution": "Data from Open Food Facts (openfoodfacts.org), ODbL",
27  "ingredients": "Sucre, huile de palme, NOISETTES 13%, cacao maigre 7,4%, LAIT écrémé en poudre 6,6%, LACTOSERUM en poudre, émulsifiants: lécithines [SOJA), vanilline. Sans gluten.",
28  "nutri_score": "E",
29  "nutrition_per_100g": {
30    "fat_g": 30.9,
31    "salt_g": 0.107,
32    "fiber_g": 0,
33    "sodium_g": 0.0428,
34    "sugars_g": 56.3,
35    "protein_g": 6.3,
36    "energy_kcal": 539,
37    "carbohydrates_g": 57.5,
38    "saturated_fat_g": 10.6
39  }
40}

Errors

  • 400 — A required parameter is missing or a value has the wrong format.
    1{
    2  "error": {
    3    "code": "INVALID_INPUT",
    4    "message": "A barcode is 8–14 digits (EAN-8, EAN-13, UPC-A…)."
    5  }
    6}
  • 404 — Nothing matches the value you sent.
    1{
    2  "error": {
    3    "code": "NOT_FOUND",
    4    "message": "No product with barcode 0000000000017."
    5  }
    6}

Gateway errors (missing key, no subscription, rate limits) are listed in Error codes.